<?xml version="1.0" encoding="UTF-8"?>
<manifest>
  <remote fetch="../../" name="rk"/>

  <default remote="rk" sync-j="4"/>

  <include name="common/yocto-honister.xml" />
  <include name="include/rk3399_doc.xml" />

  <project name="android/rk/platform/system/rk_tee_user" path="external/security/rk_tee_user" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="android/rk/u-boot" path="u-boot" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/app-new/qfm" path="app/qfm" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/app/QLauncher" path="app/QLauncher" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/app/aiserver" path="app/aiserver" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/app/multivideoplayer" path="app/multivideoplayer" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/app/qcamera" path="app/qcamera" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/app/qplayer" path="app/qplayer" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/app/settings" path="app/qsetting" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/bsp/external/bluetooth_bsa" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/bsp/external/broadcom_bsa" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/buildroot" path="buildroot" revision="refs/tags/linux-4.19-gen-rkr3" clone-depth="1">
    <linkfile src="build/Makefile" dest="Makefile"/>
    <linkfile src="build/envsetup.sh" dest="envsetup.sh"/>
  </project>
  <project name="linux/debian" path="debian" revision="refs/tags/linux-4.19-gen-rkr3" clone-depth="1"/>
  <project name="linux/device/rockchip" path="device/rockchip" revision="refs/tags/linux-4.19-gen-rkr3">
    <linkfile src="common/mkfirmware.sh" dest="mkfirmware.sh"/>
    <linkfile src="common/build.sh" dest="build.sh"/>
    <linkfile src="common/rkflash.sh" dest="rkflash.sh"/>
    <linkfile src="rk3399" dest="device/rockchip/.target_product"/>
  </project>
  <project name="linux/external/alsa-config" path="external/alsa-config" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/app" path="external/app" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/avb" path="external/avb" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/bluez-alsa" path="external/bluez-alsa" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/camera_engine_rkisp" path="external/camera_engine_rkisp" revision="refs/tags/linux-4.19-gen-rkr3" clone-depth="1"/>
  <project name="linux/external/chromium" path="external/chromium" revision="refs/tags/linux-4.19-gen-rkr3" clone-depth="1"/>
  <project name="linux/external/common_algorithm" path="external/common_algorithm" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/deviceio_release" path="external/deviceio_release" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/eq_drc_process" path="external/eq_drc_process" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/libglCompositor" path="external/libglCompositor" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/rk_pcba_test" path="external/rk_pcba_test" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/rkscript" path="external/rkscript" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/rktoolkit" path="external/rktoolkit" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/rkupdate" path="external/rkupdate" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/rkwifibt" path="external/rkwifibt" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/uac_app" path="external/uac_app" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/external/update_engine" path="external/update_engine" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/gstreamer-rockchip" path="external/gstreamer-rockchip" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/libmali" path="external/libmali" revision="refs/tags/linux-4.19-gen-rkr3" clone-depth="1"/>
  <project name="linux/linux-rga" path="external/linux-rga" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/recovery" path="external/recovery" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/rockit" path="external/rockit" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="linux/security/bin" path="external/security/bin" revision="e12f84b154400e617b8e9b34e1e57ed834bccc0a" upstream="master" dest-branch="master"/>
  <project name="linux/tools" path="tools" revision="refs/tags/linux-4.19-gen-rkr3" clone-depth="1">
    <linkfile src="windows/RKDevTool/RKDevTool_Release/rk3399-config.cfg" dest="tools/windows/RKDevTool/RKDevTool_Release/config.cfg"/>
    <linkfile src="windows/RKDevTool/rockdev/rk3399-package-file" dest="tools/windows/RKDevTool/rockdev/package-file"/>
    <linkfile src="windows/RKDevTool/rockdev/rk3399-mkupdate.bat" dest="tools/windows/RKDevTool/rockdev/mkupdate.bat"/>
    <linkfile src="linux/Linux_Pack_Firmware/rockdev/rk3399-mkupdate.sh" dest="tools/linux/Linux_Pack_Firmware/rockdev/mkupdate.sh"/>
    <linkfile src="linux/Linux_Pack_Firmware/rockdev/rk3399-package-file" dest="tools/linux/Linux_Pack_Firmware/rockdev/package-file"/>
  </project>
  <project name="rk/kernel" path="kernel" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="rk/mpp" path="external/mpp" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="rk/prebuilts/gcc-buildroot-9.3.0-2020.03-x86_64_aarch64-rockchip-linux-gnu" path="prebuilts/gcc/linux-x86/aarch64/gcc-buildroot-9.3.0-2020.03-x86_64_aarch64-rockchip-linux-gnu" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="rk/prebuilts/gcc-linaro-6.3.1-2017.05-x86_64_aarch64-linux-gnu" path="prebuilts/gcc/linux-x86/aarch64/gcc-linaro-6.3.1-2017.05-x86_64_aarch64-linux-gnu" revision="refs/tags/linux-4.19-gen-rkr3"/>
  <project name="rk/rkbin" path="rkbin" revision="refs/tags/linux-4.19-gen-rkr3"/>
</manifest>
